Skip to main content

Get Delegated Brand Resources

API Description

Get information about one or more brand resources delegated to you, by other organizations, matching query parameters.

Request

URI Parameters

NameInput
delegatedPartnerOrgId
REQUIRED

Query Parameters

Filters to apply on the operation. Refer to References for a list of common query parameters and operators.

NameInput
categories
OPTIONAL
countryCodes
OPTIONAL
displayNames
OPTIONAL
orgId
OPTIONAL

Org ID

orgId is the Apple-generated ID of the organization that delegated you

Requests a list of brands that have been delegated to you.

Path Template One
GET {url}/api/{version}/orgs/{delegatedPartnerOrgId}/delegated-brands

Requests a list of brands that have been delegated to you by the identified organization.

Path Template Two
GET {url}/api/{version}/orgs/{delegatedPartnerOrgId}/delegated-brands?ql=orgId=={orgId}
Path Example
GET {url}/api/v1/orgs/9467895078742654994/delegated-brands?ql=orgId==9467895078742654934

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 108fc823-4082-4c29-be98-3abfc5277929
content-type: application/json

Response Body

ParentNameOutput
$.pagination
REQUIRED
$.total
REQUIRED
$.data[]
REQUIRED
data[]orgId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]updatedDate
REQUIRED
data[]state
REQUIRED
data[]etag
REQUIRED
data[]brandDetails
REQUIRED

ID

id uniquely identifies the delegated brand resource.

Org ID

orgId identifies the organization that delegated you.

Brand Details

Element containing a description of the delegated resource and the organization that delegated you.

ParentNameOutput
brandDetailsorgDetails
REQUIRED
brandDetailspartnersBrandId
REQUIRED
brandDetailsdisplayNames
REQUIRED
brandDetailscategories
REQUIRED
brandDetailscountryCodes
REQUIRED
brandDetailsurls
REQUIRED
brandDetailsownershipType
CONDITIONAL
brandDetailspartnersBrandVersion
CONDITIONAL
note

CONDITIONAL fields are returned only if the value has been set on the brand resource.

Org Details

Add the expand=orgDetails query parameter to the URI to request additional organization information. orgId is included in the response by default.

ParentNameOutput
orgDetailsorgId
REQUIRED
orgDetailslegalName
REQUIRED
orgDetailsstate
REQUIRED

State

Describes state of the delegation relationship that exists between the organizations (location owner ⟺ partner). Possible values: ACTIVE, NOT_ACTIVE, or PENDING.

Example Response Bodies

Without expand=orgDetails Query Parameter
{
"data": [
{
"orgId": "9467895078742654934",
"id": "9467895078742654921",
"createdDate": "2026-10-01T07:30:00.00Z",
"updatedDate": "2026-10-01T07:30:00.00Z",
"state": "PUBLISHED",
"etag": "4d891a34-ddc8-11ec-a7a0-f7f6c418993d",
"brandDetails": {
"orgDetails": {
"orgId": "9467895078742654934"
},
"partnersBrandId": "456456",
"partnersBrandVersion": "PBV01",
"countryCodes": [ "US" ],
"displayNames": [
{
"name": "Brand Name",
"locale": "en-US",
"primary": true
}
],
"categories": [ "dining.restaurant.asian_cuisine.japanese_cuisine.japanese_steakhouse" ],
"urls": [
{
"url": "http://example.com",
"type": "HOMEPAGE"
}
],
"ownershipType": "BRAND_OWNER"
}
},
{/* additional resources */}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/api/v1/orgs/9467895078742654934/delegated-brands?limit=2&after=8U54a61d9b495324"
},
"total": 4
}
With expand=orgDetails Query Parameter
{
"data": [
{
"orgId": "9467895078742654934",
"id": "9467895078742654921",
"createdDate": "2026-10-01T07:30:00.00Z",
"updatedDate": "2026-10-01T07:30:00.00Z",
"state": "PUBLISHED",
"etag": "4d891a34-ddc8-11ec-a7a0-f7f6c418993d",
"brandDetails": {
"orgDetails": {
"orgId": "9467895078742654934",
"legalName": "Brand Enterprise",
"state": "PENDING"
},
"partnersBrandId": "456456",
"partnersBrandVersion": "PBV01",
"countryCodes": [ "US" ],
"displayNames": [
{
"name": "Brand Name",
"locale": "en-US",
"primary": true
}
],
"categories": [ "dining.restaurant.asian_cuisine.japanese_cuisine.japanese_steakhouse" ],
"urls": [
{
"url": "http://example.com",
"type": "HOMEPAGE"
}
],
"ownershipType": "BRAND_OWNER"
}
},
{ /* additional resources */ }
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/api/v1/orgs/9467895078742654934/delegated-brands?limit=2&after=8U54a61d9b495324"
},
"total": 4
}

When no collection is returned.

Example Response Body Three (raw JSON)
{
"data": [],
"pagination": {},
"total": 0
}